Herald
OpenapiRealm_config

批量创建或更新配置

POST
/api/configs/{realmId}/batch

Path Parameters

realmId*string

Realm ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

configs*array<>

List of configuration entries to create or update

Each entry in the list follows the UpsertRealmConfigRequest structure

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api/configs/string/batch" \  -H "Content-Type: application/json" \  -d '{    "configs": [      {        "config_key": "settings",        "config_type": "totp",        "config_value": "{\\"enabled\\":true,\\"force_enabled\\":false}",        "enabled": true,        "is_secret": false,        "metadata": null      },      {        "config_key": "site_key",        "config_type": "turnstile",        "config_value": "0x4AAAAAAxxxxxxxxxxxxxxxxxx",        "enabled": true,        "is_secret": false,        "metadata": null      }    ]  }'
[  {    "configKey": "string",    "configType": "string",    "configValue": "string",    "createdAt": "string",    "enabled": true,    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "isSecret": true,    "metadata": null,    "realmId": "string",    "updatedAt": "string"  }]
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}
{  "code": "string",  "details": null,  "message": "string",  "requestId": "string",  "status": 0}